/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRECOSECIA                                               */
/* Tabela : PRECOSECIA                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PRECOSECIA' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_PRECOSECIA
GO

CREATE TRIGGER DTULTATU_PRECOSECIA
ON PRECOSECIA
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PRECOSECIA', null, 'CDCIA='+ CDCIA+ ';'+
                                         'CDFILIAL='+ CDFILIAL+ ';'+
                                         'NRTABPRECO='+ NRTABPRECO+ ';'+
                                         'CDSERVICO=' + CDSERVICO + ';'+
                                         'NRSEQPRECO='+ NRSEQPRECO+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PRECOSECIA
      SET DTULTATUPCIA = GETDATE()
      FROM INSERTED;
   END;
END;
GO

